Extending Qt Creator Manual | WorkingCopy

Extending Qt Creator Manual 4.5.2

# WorkingCopy Class

(QmlJS::ModelManagerInterface::WorkingCopy)

- List of all members, including inherited members

## Public Types

typedef | Table

## Public Functions

Table | all() const
bool | contains(const QString &fileName) const
QPair<QString, int> | get(const QString &fileName) const
void | insert(const QString &fileName, const QString &source, int revision = 0)
QString | source(const QString &fileName) const

## Member Type Documentation

### typedef WorkingCopy::Table

## Member Function Documentation

### Table WorkingCopy::all() const

### bool WorkingCopy::contains(const QString &fileName) const

### QPair<QString, int> WorkingCopy::get(const QString &fileName) const

### void WorkingCopy::insert(const QString &fileName, const QString &source, int revision = 0)

### QString WorkingCopy::source(const QString &fileName) const